CVE-2017-6438

MEDIUM

Description

Heap-based buffer overflow in the parse_unicode_node function in bplist.c in libimobiledevice libplist 1.12 allows local users to cause a denial of service (out-of-bounds write) and possibly code execution via a crafted plist file.

References

http://www.securityfocus.com/bid/97281

https://github.com/libimobiledevice/libplist/issues/98

Details

Source: MITRE

Published: 2017-03-15

Updated: 2017-04-04

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 4.4

Vector: (AV:L/AC:M/Au:N/C:P/I:P/A:P)

Impact Score: 6.4

Exploitability Score: 3.4

Severity: MEDIUM

CVSS v3.0

Base Score: 7.3

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.3

Severity: HIGH